{% extends 'general_core.html' %}
{% load static %}
{% block content %}
    {% load pool_extrass %}
    {% to_list 'services_list;Заявки' as breadList %}

    {% include 'templateparts/bread_section.html' with list=breadList %}
    <div class="content-card">
        <div class="select_wrap mb-4 d-flex justify-content-end">
            <select name="" id="" class="acc-select-2" onchange="serv_history(this, '{{ url }}', '{{ token }}')">
                {% for year in cb_years %}
                    <option value="{{ year }}">{{ year }}</option>
                {% endfor %}
            </select>
        </div>
        <div class="acc_table_wrap">
            <div class="table-responsive">
                <table class="table table-hover acc-table">
                    <thead>
                    <tr>
                        <th scope="col">ID</th>
                        <th scope="col">Дата</th>
                        <th scope="col">Время</th>
                        <th scope="col">Тип</th>
                        <th scope="col">Стоимость</th>
                        <th scope="col">Статус</th>
                        <th scope="col">О</th>
                    </tr>

                    </thead>
                    <tbody id="serv_tbody">
                        {% for serv in servs %}
                            <tr>
                                <td>{{ serv.id }}</td>
                                <td>{{ serv.date }}</td>
                                <td>{{ serv.time }}</td>
                                <td>{{ serv.type2 }}</td>
                                <td>{{ serv.cost }}</td>
                                <td>{{ serv.status2 }}</td>
                                <td>
                                    {% if serv.rate == '0' %}
                                        {% if serv.status == '1' %}
                                            <a href="{% url 'services_questionnaire' serv.id serv.type %}">Оставить отзыв</a>
                                        {% endif %}
                                    {% else %}
                                        {{ serv.rate }}
                                    {% endif %}
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

{% endblock %}
{% block script %}
    <script src="{% static 'src/js/modules/history.js' %}"></script>
{% endblock %}